function K=MSig(U,V,b,d)
%function K=MSig(U,V,b,d)
%
% A Mercer Sigmoid kernel
% Copyright 2014, Andre M. Carrington.
%
[M,p1] = size(U);
[N,p2] = size(V);
if  p1 ~= p2
   error('difference in dimension (p) of vectors in U vs V');
   return;
end

K  = zeros(M,N);
ku = zeros(M,p1);
kv = zeros(p1,N);

phi_no_norm = @(x) tanh((x-d)/b);

for m=1:M
  ku(m,:) = phi_no_norm(U(m,:));  % horizontal vector
end
for n=1:N
  kv(:,n) = phi_no_norm(V(n,:)'); % vertical vector
end
for n=1:N
  for m=1:M
    K(m,n) = (ku(m,:)*kv(:,n))/p1;
  end
end

return;