    % set train_dat, train_label and test_dat
		 
	% use random-search or grid-search to set these parameters (hardcoded as an example only)
    Cpower = 1;       
    b      = 1;
	d      = 0;

    method = 'SMO';   %  choose SVM via Quadratic Programming (QP) or Sequential Minimal Optimization (SMO).  
	                  %  SMO is faster, but it is said to be less accurate.
					  
    kkt    = 0;       %  for SMO, choose the percentage of parameters that can violate the Karsh-Kuhn-Tucker constraints

    try
       classifier1 = svmtrain(train_dat, train_label,...
         'autoscale',true,...                            % center and normalize
         'boxconstraint',10^Cpower,...                   % soft-margin parameter
         'kernel_function',@(u,v) mexMSig(u,v,b,d),...   % u,v are called by svmtrain with train_dat, train_dat
         'method',method,'kktviolationlevel', kkt);      % kkt is for SMO
		 
       [numSV,~]       = size(classifier1.SupportVectors);

       classifier1_out = svmclassify(classifier1,test_dat); % u,v are called by svmclassify with train_dat, test_dat

    catch exc

       if (strcmp(exc.identifier,'stats:svmtrain:NoConvergence'))
          fprintf('No convergence');
       else
          fprintf('%s\n',exc.identifier);
          fprintf('%s\n',exc.message);
          % other cleanup...
      end
    end

    if exist('classfier1','var')
         fprintf('%d support vectors\n',numSV);
    end
